be.vlaanderen.mercurius.mohm.schemas.v1

## Class ConsultApplicationResponseType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.schemas.v1.ConsultApplicationResponseType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:17:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class ConsultApplicationResponseType
      extends Object
      implements Serializable

  Groeperend element voor het antwoord op de vraag tot consultatie van een bestaande aanvraag.

  Java class for ConsultApplicationResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultApplicationResponseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="VSBReference" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}VSBReferenceType" minOccurs="0"/>
               <choice>
                 <element name="Accepted" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ConsultApplicationAcceptedType"/>
                 <element name="NotAccepted" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ConsultApplicationNotAcceptedType"/>
               </choice>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultApplicationResponseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConsultApplicationAcceptedType` | `getAccepted()` Gets the value of the accepted property.
    `ConsultApplicationNotAcceptedType` | `getNotAccepted()` Gets the value of the notAccepted property.
    `String` | `getVSBReference()` Gets the value of the vsbReference property.
    `void` | `setAccepted(ConsultApplicationAcceptedType value)` Sets the value of the accepted property.
    `void` | `setNotAccepted(ConsultApplicationNotAcceptedType value)` Sets the value of the notAccepted property.
    `void` | `setVSBReference(String value)` Sets the value of the vsbReference property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultApplicationResponseType

          public ConsultApplicationResponseType()

  - ### Method Detail

    - #### getVSBReference

          public String getVSBReference()

      Gets the value of the vsbReference property.
      Returns:
        possible object is `String`

    - #### setVSBReference

          public void setVSBReference(String value)

      Sets the value of the vsbReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNotAccepted

          public ConsultApplicationNotAcceptedType getNotAccepted()

      Gets the value of the notAccepted property.
      Returns:
        possible object is `ConsultApplicationNotAcceptedType`

    - #### setNotAccepted

          public void setNotAccepted(ConsultApplicationNotAcceptedType value)

      Sets the value of the notAccepted property.
      Parameters:
        `value` - allowed object is `ConsultApplicationNotAcceptedType`

    - #### getAccepted

          public ConsultApplicationAcceptedType getAccepted()

      Gets the value of the accepted property.
      Returns:
        possible object is `ConsultApplicationAcceptedType`

    - #### setAccepted

          public void setAccepted(ConsultApplicationAcceptedType value)

      Sets the value of the accepted property.
      Parameters:
        `value` - allowed object is `ConsultApplicationAcceptedType`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.